<bugID>317472<Summary>Save custom encoding (last charset) in annotation service</Summary><Description>When the user manually specifies an encoding for a web page, it should be saved in the annotation service and re-used when the page is later loaded. Currently, this information appears to be stored in bookmarks, so at least those are consistent when you go back to them. This should happen for all web pages, and for the new bookmark service.</Description></bugID>